summaryrefslogtreecommitdiff
path: root/dev-python/mando
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-05-23 13:47:47 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-05-23 13:47:47 +0000
commit861ce66466591557d971d260778ad943d9dc7516 (patch)
treeea407b9ac0c5ae38cb89419b852c60cc137f1225 /dev-python/mando
parentcef5e34aa0c235c2d6a614e1290960058dd38351 (diff)
downloadbaldeagleos-repo-861ce66466591557d971d260778ad943d9dc7516.tar.gz
baldeagleos-repo-861ce66466591557d971d260778ad943d9dc7516.tar.xz
baldeagleos-repo-861ce66466591557d971d260778ad943d9dc7516.zip
Adding metadata
Diffstat (limited to 'dev-python/mando')
-rw-r--r--dev-python/mando/mando-0.6.4.ebuild24
1 files changed, 5 insertions, 19 deletions
diff --git a/dev-python/mando/mando-0.6.4.ebuild b/dev-python/mando/mando-0.6.4.ebuild
index 919f74dd3424..5548d4db4f4a 100644
--- a/dev-python/mando/mando-0.6.4.ebuild
+++ b/dev-python/mando/mando-0.6.4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -13,30 +13,16 @@ SRC_URI="https://github.com/rubik/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="doc examples test"
-RESTRICT="!test? ( test )"
+IUSE="examples"
-DEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
- doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
- test? (
- dev-python/pytest[${PYTHON_USEDEP}]
- dev-python/coverage[${PYTHON_USEDEP}]
- dev-python/tox[${PYTHON_USEDEP}]
- )
-"
-RDEPEND=""
-
-python_compile_all() {
- use doc && emake -C docs html
-}
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
python_test() {
- "${PYTHON}" mando/tests/run.py || die "tests failed under ${EPYTHON}"
+ "${EPYTHON}" mando/tests/run.py || die "tests failed under ${EPYTHON}"
}
python_install_all() {
- use doc && local HTML_DOCS=( docs/_build/html/. )
if use examples; then
dodoc -r examples
docompress -x /usr/share/doc/${PF}/examples